Change in ...libosmocore[master]: osmo-release.sh: Check patches under debian/patches apply

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

pespin gerrit-no-reply at lists.osmocom.org
Thu Aug 8 10:59:47 UTC 2019


pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/libosmocore/+/15117


Change subject: osmo-release.sh: Check patches under debian/patches apply
......................................................................

osmo-release.sh: Check patches under debian/patches apply

Change-Id: I614080361f3cc5bfb89994a8e8e36981529cd439
---
M osmo-release.sh
1 file changed, 17 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/17/15117/1

diff --git a/osmo-release.sh b/osmo-release.sh
index 38f238d..a779a26 100755
--- a/osmo-release.sh
+++ b/osmo-release.sh
@@ -61,6 +61,22 @@
 	echo "OK: dependency specific versions in configure.ac and debian/control match"
 }
 
+# Make sure that patches under debian/patches/ apply:
+check_debian_patch_apply() {
+	if [ ! -d "${GIT_TOPDIR}/debian/patches" ]; then
+		return
+	fi
+	for patch in ${GIT_TOPDIR}/debian/patches/*.patch; do
+		git apply --check $patch
+		if [ $? -ne 0 ]; then
+			echo "ERROR: patch no longer applies! $patch"
+			exit 1
+		else
+			echo "OK: patch applies: $patch"
+		fi
+	done
+}
+
 BUMPVER=`command -v bumpversion`
 GIT_TOPDIR="$(git rev-parse --show-toplevel)"
 NEW_VER=`bumpversion --list --current-version $VERSION $REL --allow-dirty | awk -F '=' '{ print $2 }'`
@@ -81,6 +97,7 @@
 echo "Releasing $VERSION -> $NEW_VER..."
 
 check_configureac_debctrl_deps_match
+check_debian_patch_apply
 
 if [ "z$LIBVERS" != "z" ]; then
 	if [ "z$MAKEMOD" = "z" ] && [ "z$ALLOW_NO_LIBVERSION_CHANGE" = "z0" ]; then

-- 
To view, visit https://gerrit.osmocom.org/c/libosmocore/+/15117
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Change-Id: I614080361f3cc5bfb89994a8e8e36981529cd439
Gerrit-Change-Number: 15117
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190808/ee013317/attachment.htm>


More information about the gerrit-log mailing list